# Get

## Retrieve an existing hotspot

### Parameters:

| Name           | Optional / Required | Data type | Description                                                                                                               | Default                                                            |
| -------------- | ------------------- | --------- | ------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------ |
| id             | required            | String    | One of your document hotspot ids                                                                                          |                                                                    |
| return\_fields | optional            | String    | Customize the responses by setting the return fields (id, document\_id, page, type, settings, create\_date, update\_date) | id, document\_id, page, type, settings, create\_date, update\_date |

### Demo

&#x20;URL Find your token on - [yumpu.com](https://www.yumpu.com/en/account/profile/api) Token&#x20;

&#x20;id&#x20;

#### Optional parameters:

&#x20;return\_fields&#x20;

Add optional parametersRun request

```
```

{% tabs %}
{% tab title="curl" %}
Example:

```
curl -X GET -H "X-ACCESS-TOKEN: YOUR_ACCESS_TOKEN" "https://api.yumpu.com/2.0/document/hotspot.json?id=18414788HxIRKIoB"
```

{% endtab %}

{% tab title="PHP" %}
Example:

```php
require_once('../yumpu.php');
$yumpu = new Yumpu();
$data = array(
 'id' => '18414788HxIRKIoB'
);
$listHotspot = $yumpu->getDocumentHotspot($data);
print_r($listHotspot);
```

{% endtab %}

{% tab title="JavaScript" %}
Example:

```javascript
var yumpu = require('yumpu');
yumpu.setToken('yourToken');
var parameters = {
   id: '18414788HxIRKIoB'
};
yumpu.getDocumentHotspot(parameters, function(statusCode, document){
   console.log('Status: ' + statusCode);
   console.log(document);
});
```

{% endtab %}

{% tab title="Java" %}
Example:

```java
Yumpu y = new Yumpu("your access token");
String[] params = {"id=18414788HxIRKIoB"};
System.out.println(y.getDocumentHotspot(params));
```

{% endtab %}
{% endtabs %}

Whatever language you are using, the result will be the same.

```bash
{
  "hotspot": [
    {
      "id": "18414788HxIRKIoB",
      "document_id": "27109085",
      "page": "1",
      "type": "link",
      "settings": {
        "x": "0",
        "y": "0",
        "w": "400",
        "h": "100",
        "name": "www.yumpu.com",
        "tooltip": "www.yumpu.com",
        "link": "https://www.google.com"
      },
      "create_date": "2014-09-23 07:17:39",
      "update_date": "2014-09-23 07:20:21"
    }
  ],
  "state": "success",
  "completed_in": "0.1853"
}
```
